Subject: Re: ./configure problem
From: Christopher Currie <[email-masked]>
To: Andrew Markebo <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Mar 2001 15:49:47 -0500

Andy,

The line "echo > confdefs.h" is not my creation, autoconf includes it in
almost every configure script it makes. (Take a look at a few of your own,
and see.) The script claims that it is because the AIX compiler will
error out if the case arises where confdefs.h is empty.

The problem is that for some reason, the echo command is inserting a
'^@' instead of a newline. Or rather, the real problem is that I can't
reproduce it outside of configure scripts, but every configure script
that contains that line will error when I try and configure a package.

Christopher

On Mon, Mar 26, 2001 at 09:16:48PM +0200, Andrew Markebo wrote:
> / "Christopher Currie" <[email-masked]> wrote:
> | [...]
> | 'echo > confdefs.h'
> 
> Try 'touch confdefs.h' instead.
> 
> What was the problem before you did this?
> 
>         /Andy
> 
> | 
> | appears, apparently used to prevent an error under AIX. This line is a part
> | of the default configure boilerplate that autoconf generates. Commenting out
> | the line will allow configure to complete successfully.
> | 
> | With the line intact, my confdefs.h file looks as follows, after this error:
> | 
> | ^@#define PACKAGE "foo"
> | #define VERSION "1.0"
> | 
> | So it appears that this echo command is sticking in something unwanted.
> | Unfortunately, I have been unable to write a shell script that will
> | reproduce the problem, but packages I've downloaded off the net have also
> | exhibited this behavior.
> | 
> | Any assistance would be greatly appreciated.
> | 
> | Christopher Currie
> | 
> | Outputs:
> | 
> | $ ./configure
> | creating cache ./config.cache
> | checking for a BSD compatible install... /usr/bin/install -c
> | checking whether build environment is sane... yes
> | checking for mawk... no
> | checking for gawk... gawk
> | checking whether make sets ${MAKE}... yes
> | checking for mawk... (cached) gawk
> | checking for gcc... gcc
> | checking whether the C compiler (gcc  ) works... no
> | configure: error: installation or configuration problem: C compiler cannot
> | create executables.
> | 
> | $ cat config.log
> | This file contains any messages produced by compilers while
> | running configure, to aid debugging if configure makes a mistake.
> | 
> | configure:559: checking for a BSD compatible install
> | configure:612: checking whether build environment is sane
> | configure:685: checking for mawk
> | configure:685: checking for gawk
> | configure:715: checking whether make sets ${MAKE}
> | configure:843: checking for mawk
> | configure:875: checking for gcc
> | configure:988: checking whether the C compiler (gcc  ) works
> | configure:1004: gcc -o conftest    conftest.c  1>&5
> | In file included from configure:999:
> | confdefs.h:1: parse error at null character
> | configure: failed program was:
> | 
> | #line 999 "configure"
> | #include "confdefs.h"
> | 
> | main(){return(0);}
> | 
> | 
> | --
> | Want to unsubscribe from this list?
> | Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple